View Issue Details

IDProjectCategoryView StatusLast Update
0028565LazarusLCLpublic2015-09-25 20:02
ReporterErik GrohnwaldtAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSWindowsOS Version10
Product Version1.5 (SVN)Product Build 
Target Version1.4.4Fixed in Version1.4.4 
Summary0028565: TShellTreeView - Drive letters show twice when changing the FileSortType in the form designer
DescriptionIf i set FileSortType to an order different from fstNone in the designer, the TreeView shows the drive letters twice.
Steps To ReproduceSet the property FileSortType to fstAlphabet or fstFoldersFirst.
Additional InformationIt is caused by calling PopulateWithBaseFiles twice. Once in loading and once once after loading - without a cleanup between.
So i disable the PopulateWithBaseFiles while loading in this patch.
TagsNo tags attached.
Fixed in Revisionr49741
LazTarget1.4.4
WidgetsetWin32/Win64
Attached Files
  • ShellTreeViewOrder.diff (455 bytes)
    --- C:/Users/ERIKGR~1/AppData/Local/Temp/shellctrls.pas-revBASE.svn000.tmp.pas	Mi Aug 19 11:09:08 2015
    +++ C:/Users/Erik Grohnwaldt/Documents/LazSRC/Lazarus/lcl/shellctrls.pas	Mo Aug 24 14:03:10 2015
    @@ -506,7 +506,7 @@ var
       RootNode: TTreeNode;
       CurrPath: String;
     begin
    -  if FFileSortType=AValue then exit;
    +  if (csLoading in ComponentState) or (FFileSortType=AValue) then exit;
       FFileSortType:=AValue;
       CurrPath := GetPath;
       try
    

Activities

Erik Grohnwaldt

2015-08-24 14:19

reporter  

ShellTreeViewOrder.diff (455 bytes)
--- C:/Users/ERIKGR~1/AppData/Local/Temp/shellctrls.pas-revBASE.svn000.tmp.pas	Mi Aug 19 11:09:08 2015
+++ C:/Users/Erik Grohnwaldt/Documents/LazSRC/Lazarus/lcl/shellctrls.pas	Mo Aug 24 14:03:10 2015
@@ -506,7 +506,7 @@ var
   RootNode: TTreeNode;
   CurrPath: String;
 begin
-  if FFileSortType=AValue then exit;
+  if (csLoading in ComponentState) or (FFileSortType=AValue) then exit;
   FFileSortType:=AValue;
   CurrPath := GetPath;
   try

Bart Broersma

2015-09-02 18:12

developer   ~0085675

Applied with modifications.
Thanks.
Please close if OK.

Erik Grohnwaldt

2015-09-25 20:02

reporter   ~0086080

it works

Issue History

Date Modified Username Field Change
2015-08-24 14:19 Erik Grohnwaldt New Issue
2015-08-24 14:19 Erik Grohnwaldt File Added: ShellTreeViewOrder.diff
2015-08-24 21:17 Bart Broersma Assigned To => Bart Broersma
2015-08-24 21:17 Bart Broersma Status new => assigned
2015-09-02 18:12 Bart Broersma Fixed in Revision => r49741
2015-09-02 18:12 Bart Broersma LazTarget => 1.4.4
2015-09-02 18:12 Bart Broersma Note Added: 0085675
2015-09-02 18:12 Bart Broersma Status assigned => resolved
2015-09-02 18:12 Bart Broersma Fixed in Version => 1.4.4
2015-09-02 18:12 Bart Broersma Resolution open => fixed
2015-09-02 18:12 Bart Broersma Target Version => 1.4.4
2015-09-25 20:02 Erik Grohnwaldt Note Added: 0086080
2015-09-25 20:02 Erik Grohnwaldt Status resolved => closed